Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyFieldDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc
                  org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
                      org.codehaus.groovy.tools.groovydoc.SimpleGroovyFieldDoc

All Implemented Interfaces:
  GroovyFieldDoc

    public class SimpleGroovyFieldDoc
    extends SimpleGroovyMemberDoc

Field Summary

Fields inherited from class SimpleGroovyMemberDoc
belongsToClass

Constructor Summary
`SimpleGroovyFieldDoc(String name, GroovyClassDoc belongsToClass)`

Method Summary
`Object` | `constantValue()`
`String` | `constantValueExpression()`
`boolean` | `isTransient()`
`boolean` | `isVolatile()`
`void` | `setConstantValueExpression(String constantValueExpression)`
`void` | `setType(GroovyType type)`
`GroovyType` | `type()`

Methods inherited from class SimpleGroovyMemberDoc
commentText, firstSentenceCommentText, isSynthetic

Methods inherited from class SimpleGroovyAbstractableElementDoc
isAbstract, setAbstract

Methods inherited from class SimpleGroovyProgramElementDoc
addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic

Methods inherited from class SimpleGroovyDoc
calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SimpleGroovyFieldDoc

    public SimpleGroovyFieldDoc(String name, GroovyClassDoc belongsToClass)

Method Detail

### constantValue

    public Object constantValue()

### constantValueExpression

    public String constantValueExpression()

### isTransient

    public boolean isTransient()

### isVolatile

    public boolean isVolatile()

### setConstantValueExpression

    public void setConstantValueExpression(String constantValueExpression)

### setType

    public void setType(GroovyType type)

### type

    public GroovyType type()

Copyright © 2003-2010 The Codehaus. All rights reserved.